在rhel5和SOA上安装oracle数据库11g时面临的问题

在这里输入图像说明 在为SOA和Oracle安装所需的rpms时,以下rpms相互冲突glibc-devel-2.5-49.x86_64.rpmglibc-devel-2.5-24.i386.rpm如何解决? 如果我删除其他和副诗,一个包安装成功。

我需要将它们都安装在rhel5 64位操作系统上。

您不能安装两个不同编号的i386和x86_64软件包,而不会导致大量的损坏。

只需安装这两个软件包的相同版本。

 yum install glibc-devel.{i386,x86_64} 

之后,如果你仍然收到这个错误,这是Oracle的错,Oracle必须修复它。

您可以使用以下过程来执行此操作:

首先为i386使用rpm -ivh --nodeps <packagename> ,然后使用X86_64。